/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.engines;

import jatva.lang.TestEngineException;

public class NondeterministicModelException
  extends TestEngineException
{
  public NondeterministicModelException(  String scenarioClass
                                        , Object prevState
                                        , int transition
                                        , Object oldState
                                        , Object currentState
                                       )
  {
    super(  "The scenario defines nondeterministic model" 
          , new String[]{"scenario class", "previous state", "transition", "old transition end", "current transitions end"}
          , new String[]{scenarioClass, "" + prevState, "" + transition, "" + oldState, "" + currentState}
         );
  }

  public NondeterministicModelException(  String info
                                        , String scenarioClass
                                        , Object prevState
                                        , int transition
                                        , Object oldState
                                        , Object currentState
                                       )
  {
    super (  info 
           , new String[]{"scenario class", "previous state", "transition", "old transition end", "current transitions end"}
           , new String[]{scenarioClass, "" + prevState, "" + transition, "" + oldState, "" + currentState}
          );
  }
}
