/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

import jatva.util.Utils;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class ConflictingMediatorObjectsException
  extends CriticalRuntimeTestException
{

  /**
   * @param info
   * @param tags
   * @param values
   */
  public ConflictingMediatorObjectsException (ModelObject m1, ModelObject m2, Object[] impls)
  {
    super(  "Two mediator objects conflicting by their implementation fields found"
          , new String[]{ "object 1", "object 2", "implementation fields"}
          , new String[]{ Utils.getSimpleString(m1), Utils.getSimpleString(m2), Utils.getArraySimpleString(impls)}
         );
  }
  
  /**
   * @param info
   * @param error
   * @param tags
   * @param values
   */
  public ConflictingMediatorObjectsException (ModelObject m, String mclass, Object[] impls)
  {
    super(   "Mediator object found that prevents creation of new mediator object due to conflict by implementation fields"
           , new String[]{ "object", "current class", "implementation fields"}
           , new String[]{ Utils.getSimpleString(m), mclass, Utils.getArraySimpleString(impls)}
          );
  }

}
