/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang.synchronization;

import jatva.lang.ModelEvent;

/**
 * Stores the result of scenario expect-s, i.e. the index of the pattern matched along with
 * the event itself.
 * @author <a href="mailto:monakhov@ispras.ru">Alexander Monakhov</a>
 */
public class EventWaitingResult
{
    private int patternIndex;

    private ModelEvent matchedEvent;

    public int getPatternIndex()
    {
        return patternIndex;
    }

    public ModelEvent getMatchedEvent()
    {
        return matchedEvent;
    }

    public EventWaitingResult( int patternIndex, ModelEvent matchedEvent )
    {
        super();
        this.patternIndex = patternIndex;
        this.matchedEvent = matchedEvent;
    }

    public static final EventWaitingResult TIMEOUT_EXPIRED = new EventWaitingResult( -1, null );
}
