/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.tracer;

//=============================================================================

import jatva.lang.TestSystemInternalError;

//=============================================================================

/**
 * Thrown when an internal error occured in tracer subsystem.
 *
 * @author <a href="mailto:barancev@ispras.ru">Alexei Barantsev</a>
 */
public class TracerInternalError
  extends TestSystemInternalError 
{
  public TracerInternalError(String info, Throwable error) 
  {
    super(info, error, true, false, null, null);

    System.err.println("Internal error in tracing mechanism");
    System.err.println(info);
    System.err.println("Cause :");
    error.printStackTrace(System.err);
  }

  public TracerInternalError(String info) 
  {
    super(info, null, true, false, null, null);
    
    System.err.println("Internal error in tracing mechanism");
    System.err.println(info);
  }
}
//=============================================================================
// End of TracerInternalError.java
