/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;
import jatva.util.OperationInfo;

public class ImplementationCallEnterMessage extends TracerMessage
{
    private OperationInfo operationData;
    private Object obj;
    private Object[] args;

    public ImplementationCallEnterMessage( TestManager registrar
                                         , OperationInfo operationData
                                         , Object obj
                                         , Object[] args
                                         )
    {
        super( registrar );
        this.operationData = operationData;
        this.obj = obj;
        this.args = args;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatImplementationOperationStart( registrar, operationData, obj, args ); }
}
