/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.util;

import jatva.iterators.lang.IObjectPairIterator;

/**
 * @author Administrator
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public interface IMap extends Cloneable
{
  void    clear();
  int     size();
  boolean isEmpty();

  boolean containsKey(Object key);
  boolean containsKeyRef(Object key);
  boolean containsValue(Object value);
  boolean containsValueRef(Object value);
  boolean contains(Object key, Object val);
  boolean containsRefs(Object key, Object val);
  boolean containsAll(IMap m);
  
  Object  get(Object key);

  Object  removeKey(Object key);
  boolean removeValue(Object val);
  boolean remove(Object key, Object val);
  boolean removeKeys(ISet s);
  boolean removeValues(ISet s);
  boolean retainKeys(ISet s);
  boolean retainValues(ISet s);

  boolean extend(IMap m);
  boolean replace(IMap m);
  boolean removeAll(IMap m);
  boolean retain(IMap m); 

  Object  put(Object key, Object value);
  boolean putAll(IMap m);

  ISet keys(); 
  ISet preimage(ISet s);
  ISet range();
  ISet image(ISet s);
  
  IMultiSet values();
  IMultiSet values(ISet s);

  ISet entrySet();
  IList entryList();
  ObjectPair[] toArray();
  
  void compose(IMap m);
  
  IObjectPairIterator iterator();

  Object clone();
  String toString();
  boolean equals(Object o);
  boolean equalsByRefs(Object o);
  int hashCode();
}
