/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.util.log;

/**
 * Trivial implementation of {@link ThreadLog}. In the header this
 * log prints the line of dashes followed by the line with the name
 * of the current thread.
 *
 * @author <a href="mailto:monakhov@ispras.ru">Alexander Monakhov</a>
 */
public class SimpleConsoleLog extends ThreadLog
{
    private SimpleConsoleLog(){}

    private static final SimpleConsoleLog instance = new SimpleConsoleLog();

    public static final SimpleConsoleLog getLog()
    { return instance; }

    protected void printHeader()
    {
        System.out.println( "- - - - - - - - - - - - - - - - - - - - - - - - - - -" );
        System.out.println( "# " + Thread.currentThread().getName() + " #" );
    }

    protected void printFooter()
    {
        System.out.flush();
    }

    @Override
    protected void printLine( String l )
    {
        System.out.println( l );
    }
}
